# Gets list of balance-updates for a BTC account
curl --compressed "https://api.coinmetrics.io/v4/blockchain-v2/btc/accounts/112jmDkNGHSbhhY17JGpxU3sMA9ZExG7b2/balance-updates?pretty=true&api_key=<your_key>"{
"data": [
{
"block_hash": "0000000000000000000439ea9434c8b20e5e30459022865a7a7fd31e4233538b",
"height": "649240",
"consensus_time": "2020-09-20T16:49:48.000000000Z",
"credit": false,
"total_received": "0.03823664",
"total_sent": "0.03632737",
"chain_sequence_number": "2788464567269277",
"account": "112dvb4DogEpcp3yUR59HQuN1LFJbPErAT",
"account_creation_height": "645045",
"change": "-0.00195697",
"rebasing_numerator": "1",
"rebasing_denominator": "1",
"rebasing_rounding_mode": "DOWN",
"previous_balance": "0.00386624",
"new_balance": "0.00190927",
"transaction_sequence_number": "0",
"txid": "379580cd4910e3ce306ee2129fd1a29ef0a6f86e984d1e7f26c181b4cb83ba51",
"sub_account": {
"previous_balance": "0.00195697",
"new_balance": "0",
"sub_account": "d5633404739f275af7af6012f4e03e32235857751e382a420d1683582a09afb1-1161",
"n_debits": "1",
"n_credits": "1",
"previous_credit_height": "648382",
"previous_chain_sequence_number": "2784779485328037",
"total_received": "0.00195697",
"total_sent": "0.00195697",
"creation_height": "648382"
},
"n_debits": "5",
"n_credits": "6",
"previous_debit_height": "649240",
"previous_credit_height": "649073",
"previous_chain_sequence_number": "2788464567269275"
},
{
"block_hash": "0000000000000000000439ea9434c8b20e5e30459022865a7a7fd31e4233538b",
"height": "649240",
"consensus_time": "2020-09-20T16:49:48.000000000Z",
"credit": false,
"total_received": "0.03823664",
"total_sent": "0.03823664",
"chain_sequence_number": "2788464567269279",
"account": "112dvb4DogEpcp3yUR59HQuN1LFJbPErAT",
"account_creation_height": "645045",
"change": "-0.00190927",
"rebasing_numerator": "1",
"rebasing_denominator": "1",
"rebasing_rounding_mode": "DOWN",
"previous_balance": "0.00190927",
"new_balance": "0",
"transaction_sequence_number": "0",
"txid": "379580cd4910e3ce306ee2129fd1a29ef0a6f86e984d1e7f26c181b4cb83ba51",
"sub_account": {
"previous_balance": "0.00190927",
"new_balance": "0",
"sub_account": "468effb920e280e966a993918acde9a37118c0daf16d5fc067b1522661e1bab9-1259",
"n_debits": "1",
"n_credits": "1",
"previous_credit_height": "648906",
"previous_chain_sequence_number": "2787030048192699",
"total_received": "0.00190927",
"total_sent": "0.00190927",
"creation_height": "648906"
},
"n_debits": "6",
"n_credits": "6",
"previous_debit_height": "649240",
"previous_credit_height": "649073",
"previous_chain_sequence_number": "2788464567269277"
}
],
"next_page_token": "Mjc4ODQ2NDU2NzI2OTI3N3wwMDAwMDAwMDAwMDAwMDAwMDAwNDM5ZWE5NDM0YzhiMjBlNWUzMDQ1OTAyMjg2NWE3YTdmZDMxZTQyMzM1Mzhi",
"next_page_url": "https://api.coinmetrics.io/v4/blockchain-v2/btc/accounts/112jmDkNGHSbhhY17JGpxU3sMA9ZExG7b2/balance-updates?pretty=true&api_key=<your_key>"
}List of balance updates for account
Returns a list of blockchain balance updates for a specific account.
Results are ordered by tuple (chain_sequence_number, block_hash).
To fetch the next page of results use next_page_url JSON response field.
# Gets list of balance-updates for a BTC account
curl --compressed "https://api.coinmetrics.io/v4/blockchain-v2/btc/accounts/112jmDkNGHSbhhY17JGpxU3sMA9ZExG7b2/balance-updates?pretty=true&api_key=<your_key>"{
"data": [
{
"block_hash": "0000000000000000000439ea9434c8b20e5e30459022865a7a7fd31e4233538b",
"height": "649240",
"consensus_time": "2020-09-20T16:49:48.000000000Z",
"credit": false,
"total_received": "0.03823664",
"total_sent": "0.03632737",
"chain_sequence_number": "2788464567269277",
"account": "112dvb4DogEpcp3yUR59HQuN1LFJbPErAT",
"account_creation_height": "645045",
"change": "-0.00195697",
"rebasing_numerator": "1",
"rebasing_denominator": "1",
"rebasing_rounding_mode": "DOWN",
"previous_balance": "0.00386624",
"new_balance": "0.00190927",
"transaction_sequence_number": "0",
"txid": "379580cd4910e3ce306ee2129fd1a29ef0a6f86e984d1e7f26c181b4cb83ba51",
"sub_account": {
"previous_balance": "0.00195697",
"new_balance": "0",
"sub_account": "d5633404739f275af7af6012f4e03e32235857751e382a420d1683582a09afb1-1161",
"n_debits": "1",
"n_credits": "1",
"previous_credit_height": "648382",
"previous_chain_sequence_number": "2784779485328037",
"total_received": "0.00195697",
"total_sent": "0.00195697",
"creation_height": "648382"
},
"n_debits": "5",
"n_credits": "6",
"previous_debit_height": "649240",
"previous_credit_height": "649073",
"previous_chain_sequence_number": "2788464567269275"
},
{
"block_hash": "0000000000000000000439ea9434c8b20e5e30459022865a7a7fd31e4233538b",
"height": "649240",
"consensus_time": "2020-09-20T16:49:48.000000000Z",
"credit": false,
"total_received": "0.03823664",
"total_sent": "0.03823664",
"chain_sequence_number": "2788464567269279",
"account": "112dvb4DogEpcp3yUR59HQuN1LFJbPErAT",
"account_creation_height": "645045",
"change": "-0.00190927",
"rebasing_numerator": "1",
"rebasing_denominator": "1",
"rebasing_rounding_mode": "DOWN",
"previous_balance": "0.00190927",
"new_balance": "0",
"transaction_sequence_number": "0",
"txid": "379580cd4910e3ce306ee2129fd1a29ef0a6f86e984d1e7f26c181b4cb83ba51",
"sub_account": {
"previous_balance": "0.00190927",
"new_balance": "0",
"sub_account": "468effb920e280e966a993918acde9a37118c0daf16d5fc067b1522661e1bab9-1259",
"n_debits": "1",
"n_credits": "1",
"previous_credit_height": "648906",
"previous_chain_sequence_number": "2787030048192699",
"total_received": "0.00190927",
"total_sent": "0.00190927",
"creation_height": "648906"
},
"n_debits": "6",
"n_credits": "6",
"previous_debit_height": "649240",
"previous_credit_height": "649073",
"previous_chain_sequence_number": "2788464567269277"
}
],
"next_page_token": "Mjc4ODQ2NDU2NzI2OTI3N3wwMDAwMDAwMDAwMDAwMDAwMDAwNDM5ZWE5NDM0YzhiMjBlNWUzMDQ1OTAyMjg2NWE3YTdmZDMxZTQyMzM1Mzhi",
"next_page_url": "https://api.coinmetrics.io/v4/blockchain-v2/btc/accounts/112jmDkNGHSbhhY17JGpxU3sMA9ZExG7b2/balance-updates?pretty=true&api_key=<your_key>"
}Authorizations
Query Parameters
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with start_height.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
This parameter is disabled for Community users.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default. Mutually exclusive with end_height.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
This parameter is disabled for Community users.
Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"

